#
# spec file for package cgit (Version 0.8.3.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define git_version	1.7.3.4

Name:           cgit
Url:            http://hjemli.net/git/cgit/
License:        GPLv2
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Version:        0.8.3.3
Release:        3
Summary:        A web frontend for git repositories
Source0:        %{name}-%{version}.tar.bz2
Source1:        git-%{git_version}.tar.bz2
Source2:        cgitrc
Patch0:         cgit-link-fixes.diff
Patch1:         cgit_fix_stringlist.patch
# Requirements for cgit
BuildRequires:  git >= 1.7.1
BuildRequires:  gnu-crypto libopenssl-devel libzip-devel
# Requirements for cgitrc man page generation
BuildRequires:  asciidoc libxslt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is an attempt to create a fast web interface for the git scm, using a
builtin cache to decrease server io-pressure.

Authors:
--------
    Lars Hjemli (hjemli@gmail.com)

%prep
%setup -q
%setup -q -T -D -a 1
rm -rf git
mv git-%{git_version} git
%patch0 -p1
%patch1 -p1

%build
make
make man-doc

%install
make install CGIT_SCRIPT_PATH="%{buildroot}"/srv/www/htdocs/cgit

mkdir -p "%{buildroot}"/srv/www/cgi-bin/cgit/
mv "%{buildroot}"/srv/www/{htdocs,cgi-bin}/cgit/cgit.cgi

mkdir -p "%{buildroot}%{_mandir}"/man5/
cp cgitrc.5 "%{buildroot}%{_mandir}"/man5/cgitrc.5

mkdir -p "%{buildroot}"/etc
cp %{SOURCE2} "%{buildroot}"/etc/cgitrc

%clean
make clean

%files
%defattr(-,root,root)
%dir /srv/www/htdocs/cgit
%dir /srv/www/cgi-bin/cgit
/srv/www/cgi-bin/cgit/cgit.cgi
/srv/www/htdocs/cgit/cgit.css
/srv/www/htdocs/cgit/cgit.png
%doc %{_mandir}/man5/cgitrc.5.gz
%config(noreplace) /etc/cgitrc

%changelog
